Subject: Re: [VCARDDAV] [Technical Errata Reported] RFC6350 (4245)

From: Barry Leiba <[email-masked]>
Date: Sun, 1 Mar 2015 12:28:34 +0100

Simon, can you please comment on this errata report?

Thanks,
Barry

On Tue, Jan 27, 2015 at 3:06 PM, RFC Errata System
<[email-masked]> wrote:
> The following errata report has been submitted for RFC6350,
> "vCard Format Specification".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata_search.php?rfc=6350&eid=4245
>
> --------------------------------------
> Type: Technical
> Reported by: Ivan Enderlin <[email-masked]>
>
> Section: 6.7.7
>
> Original Text
> -------------
>    Value type:  A semicolon-separated pair of values.  The first field
>       is a small integer corresponding to the second field of a PID
>       parameter instance.  The second field is a URI.  The "uuid" URN
>       namespace defined in [RFC4122] is particularly well suited to this
>       task, but other URI schemes MAY be used.
>
> Corrected Text
> --------------
>    Value type:  A single structured text value consisting of components
>       separated by the SEMICOLON character (U+003B). The first
>       component is a small integer corresponding to the second
>       component of a PID parameter instance.  The second component is a
>       URI. The "uuid" URN namespace defined in [RFC4122] is particularly
>       well suited to this task, but other URI schemes MAY be used.
>
>
> Notes
> -----
> A "semicolon-separated pair of values" is a structured text value. Moreover, the RFC6351 considers the CLIENTPIDMAP property with a structured text value (see the Relax NG Schema definition of property-clientpidmap).
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party (IESG)
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC6350 (draft-ietf-vcarddav-vcardrev-22)
> --------------------------------------
> Title               : vCard Format Specification
> Publication Date    : August 2011
> Author(s)           : S. Perreault
> Category            : PROPOSED STANDARD
> Source              : vCard and CardDAV
> Area                : Applications
> Stream              : IETF
> Verifying Party     : IESG
>

---

From: Simon Perreault <[email-masked]>
Date: Mon, 2 Mar 2015 09:41:13 -0500

Although the original text would not cause interoperability issues, the
corrected text is more accurate and better represents the WG's consensus at
the time the RFC was published.

I am thoroughly confused about errata statuses, so I won't make a
recommandation. ;)

Simon

On Sun, Mar 1, 2015 at 6:28 AM, Barry Leiba <[email-masked]> wrote:

> > A "semicolon-separated pair of values" is a structured text value.
> Moreover, the RFC6351 considers the CLIENTPIDMAP property with a structured
> text value (see the Relax NG Schema definition of property-clientpidmap).
> >
> > Instructions:
> > -------------

---

From: Barry Leiba <[email-masked]>
Date: Tue, 3 Mar 2015 01:21:14 +0100

> the time the RFC was published.

That (particularly the "would not cause interoperability issues" part)
says "held for document update" to me.

> I am thoroughly confused about errata statuses, so I won't make a

:-)
See <http://www.ietf.org/iesg/statement/errata-processing.html>, and
see if you're even a little less confused.

Thanks for the quick response.

Barry